function Neighbors = extp_F_dt_oneway(ncells,Notch,Delta,Jagged,NICD,I0,nf,lDf,lJf,i,time,tmin,tmax,dt,Jpr_EC)

%handles.value meegeven, if h == 1 initial, h == 2 several, etc

% Edited by Sandra Loerakker: polarization of Jagged

% sum external proteins of Notch (Nt)        
% ------------------------------------------------------------------------------------------------- 
% Notch
N = zeros(1,ncells+2);
N(1,ncells+2) = 0;
N(1,1) = 0;
N(1,(2:(ncells+1))) = Notch(i,:);

N_l = N(1,(1:ncells)); % N[i-1] 
N_r = N(1,(3:ncells+2)); % N[i+1]

% Delta
D = zeros(1,ncells+2);
D(1,ncells+2) = 0;
D(1,1) = 0;
D(1,(2:(ncells+1))) = Delta(i,:);

D_l = D(1,(1:ncells)); % D[i-1] 
D_r = D(1,(3:ncells+2)); % D[i+1]

% Jagged

% continuous pulse EC
J = zeros(1,ncells+2);
J(1,ncells+2) = 0;
J(1,1) = Jpr_EC; 
J(1,(2:(ncells+1))) = Jagged(i,:);

J_l = J(1,(1:ncells)); % J[i-1] 
J_r = J(1,(3:ncells+2)); % J[i+1]

% NICD for i == N 
I = zeros(1,ncells+2);
I(1,ncells+2) = 0;
I(1,1) = 0;
I(1,(2:(ncells+1))) = NICD(i,:);

% I_l = I(1,(1:ncells)); % I[i-1] 
% I_r = I(1,(3:ncells+2)); % I[i+1]

% calculate Ne, De and Je for each cell
Neighbors = zeros(4,ncells);
Neighbors(1,:) = 0.5*(N_l + N_r); % NeD   
Neighbors(2,:) = 0.5*(N_r + N_l); % NeJ   
Neighbors(3,:) = 0.5*(D_l + D_r); % De
Neighbors(4,:) = 0.5*(J_l + J_r); % Je